// -- Elevations

@for $i from 1 through 4 {
  .cui-elevation-#{$i} {
    @include cui-elevation($i);
  }
  .cui-elevation-hover-#{$i}:hover,
  .cui-elevation-hover-#{$i}:focus-within {
    @include cui-elevation($i);
  }
}

.cui-elevation-transition {
  @include cui-elevation-transition();
}
